For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tags

get

Retrieves multiple tags.

Query parameters
idsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
searchstring · min: 1Optional

Search term to filter tags by name or description.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all tags for the workspace.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
activeTicketCountintegerRequired

The number of distinct pending or ongoing tickets linked to this tag via ticket_tags or chat_tags.

colorstring · enumRequired

The color of the tag.

Possible values:
descriptionstring · min: 3 · max: 250Required

The description of the tag.

namestring · min: 3 · max: 50Required

The display name of the tag.

workspaceIdstring · uuidRequired

The workspace that owns this tag.

get/api/v1/tags
GET /api/v1/tags HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
[
  {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "activeTicketCount": 1,
    "color": "default",
    "description": "text",
    "name": "text",
    "workspaceId": "123e4567-e89b-12d3-a456-426614174000"
  }
]
post

Creates a new tag.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
colorstring · enumRequired

The color of the tag.

Possible values:
descriptionstring · min: 3 · max: 250Required

The description of the tag.

namestring · min: 3 · max: 50Required

The display name of the tag.

Responses
200

The tag was created.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
activeTicketCountintegerRequired

The number of distinct pending or ongoing tickets linked to this tag via ticket_tags or chat_tags.

colorstring · enumRequired

The color of the tag.

Possible values:
descriptionstring · min: 3 · max: 250Required

The description of the tag.

namestring · min: 3 · max: 50Required

The display name of the tag.

workspaceIdstring · uuidRequired

The workspace that owns this tag.

post/api/v1/tags
POST /api/v1/tags HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "color": "default",
  "description": "text",
  "name": "text"
}
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "activeTicketCount": 1,
  "color": "default",
  "description": "text",
  "name": "text",
  "workspaceId": "123e4567-e89b-12d3-a456-426614174000"
}
get

Retrieves a tag.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves a tag.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
activeTicketCountintegerRequired

The number of distinct pending or ongoing tickets linked to this tag via ticket_tags or chat_tags.

colorstring · enumRequired

The color of the tag.

Possible values:
descriptionstring · min: 3 · max: 250Required

The description of the tag.

namestring · min: 3 · max: 50Required

The display name of the tag.

workspaceIdstring · uuidRequired

The workspace that owns this tag.

get/api/v1/tags/{id}
GET /api/v1/tags/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "activeTicketCount": 1,
  "color": "default",
  "description": "text",
  "name": "text",
  "workspaceId": "123e4567-e89b-12d3-a456-426614174000"
}
delete

Removes a tag.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

The tag was removed.

application/json
messagestringRequired

An informative message for a call that has no effective result to be returned.

delete/api/v1/tags/{id}
DELETE /api/v1/tags/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
{
  "message": "text"
}
patch

Updates a tag.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
activeTicketCountintegerOptional

The number of distinct pending or ongoing tickets linked to this tag via ticket_tags or chat_tags.

colorstring · enumOptional

The color of the tag.

Possible values:
descriptionstring · min: 3 · max: 250Optional

The description of the tag.

namestring · min: 3 · max: 50Optional

The display name of the tag.

Responses
200

The tag was updated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
activeTicketCountintegerRequired

The number of distinct pending or ongoing tickets linked to this tag via ticket_tags or chat_tags.

colorstring · enumRequired

The color of the tag.

Possible values:
descriptionstring · min: 3 · max: 250Required

The description of the tag.

namestring · min: 3 · max: 50Required

The display name of the tag.

workspaceIdstring · uuidRequired

The workspace that owns this tag.

patch/api/v1/tags/{id}
PATCH /api/v1/tags/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 76

{
  "activeTicketCount": 1,
  "color": "default",
  "description": "text",
  "name": "text"
}
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "activeTicketCount": 1,
  "color": "default",
  "description": "text",
  "name": "text",
  "workspaceId": "123e4567-e89b-12d3-a456-426614174000"
}

Last updated